Server-Handler for GIF
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

All images were downloaded from the browser, not only .GIF, but also .gif, .png, etc.

A method in Redmine had to be overwritten.

I am publishing something here for the first time, please be lenient.

I also hope that the patch file I have created is correct. (attachments_controller.rb edited)

History

#1 - 2020-08-26 06:39 - Bernhard Rohloff

First of all thank you for your contribution. Every patch counts. :-)

This area of Redmine is a dark spot on my map. I have read the description but I have no clue what the issue is about, or what this patch does. Could

you describe it to me on a specific use case? If i do this, than Redmine should do that.

It would also help to choose a category for the improvement. Is this patch related to issue tracking?

You also mention that the attachments_controller.rb was edited, but I cannot find it in you patch.

#2 - 2020-08-31 09:27 - der gl0wn

Hi Bernhard Ganslmeier Rohloff,

guess you could say that.

In our company we did not want the images to be downloaded automatically, but rather open them in the browser.

I think I messed up something with the patch itself, the 

disposition

method is overwritten with the patch.

#3 - 2020-09-06 04:54 - Go MAEDA

The reason for sending images with a "Content-Disposition: attachment" is to fix a security flaw CVE-2017-15574. The change was made in r16285.

#4 - 2020-09-13 04:09 - Go MAEDA

- Category set to Attachments

#5 - 2020-10-25 02:37 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Go MAEDA wrote:

The reason for sending images with a "Content-Disposition: attachment" is to fix a security flaw CVE-2017-15574. The change was made in 

r16285.

 Closing this issue.

Files
https://www.redmine.org/users/12917
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15574
https://www.redmine.org/projects/redmine/repository/svn/revisions/16285
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15574
https://www.redmine.org/projects/redmine/repository/svn/revisions/16285
